import { Component, OnInit } from '@angular/core';

import { BookmarksService } from '../../services/bookmarks.service';

@Component({
  selector: 'page-bookmarks',
  templateUrl: './bookmarks.page.html'
})
export class PageBookmarks implements OnInit {
  boundFetch: Function;

  constructor(private bookmarksService: BookmarksService) { }

  ngOnInit(): void {
    this.boundFetch = this.fetch.bind(this);
  }

  fetch(page: number, size: number) {
    return this.bookmarksService.getEntries(page, size);
  }

}
