import { Component, OnInit } from '@angular/core';

import { ModerationService } from '../../../services/moderarion.service';

@Component({
  selector: 'page-moderation-entries',
  templateUrl: './moderation.entries.page.html'
})
export class PageModerationEntries implements OnInit {

  boundFetch: Function;

  constructor(private moderationService: ModerationService) { }

  ngOnInit(): void {
    this.boundFetch = this.fetch.bind(this);
  }

  fetch(page: number, size: number) {
    return this.moderationService.getFlaggedEntries(page, size);
  }

}
