import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';

import { environment } from '../../environments/environment';

@Injectable({
    providedIn: 'root',
})
export class UserService {

    constructor(private http: HttpClient) {
    }

    get() {
        return this.http.get(environment.apiUrl + "/users/user");
    }

    getUser(username: string) {
        return this.http.get(environment.apiUrl + "/users/user/" + username);
    }

    update(user: any) {
        return this.http.post(environment.apiUrl + "/users/user", user);
    }
}